petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexSetGlobalToNaturalSF

Sets the SF for mapping Global Vec to the Natural Vec

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexSetGlobalToNaturalSF(DM dm, PetscSF naturalSF)

### Input Parameters

| dm | - The DM
| naturalSF | - The PetscSF

### See Also

DMPlexDistribute(), DMPlexDistributeField(), DMPlexCreateGlobalToNaturalSF(), DMPlexGetGlobaltoNaturalSF()

### Level

intermediate

### Location

src/dm/impls/plex/plexnatural.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages